responsive_data_grid 0.0.23 icon indicating copy to clipboard operation
responsive_data_grid: ^0.0.23 copied to clipboard

Responsive Data Grid for Flutter inspired by Kendo UI's Grid functionality with full filtering, sorting, and paging that also responds dynamically to screen size using the same metaphor as bootstrap grid.

Use this package as a library

Depend on it

Run this command:

With Flutter:

 $ flutter pub add responsive_data_grid

This will add a line like this to your package's pubspec.yaml (and run an implicit flutter pub get):

dependencies:
  responsive_data_grid: ^0.0.23

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:responsive_data_grid/responsive_data_grid.dart';
6
likes
100
pub points
42%
popularity

Responsive Data Grid for Flutter inspired by Kendo UI's Grid functionality with full filtering, sorting, and paging that also responds dynamically to screen size using the same metaphor as bootstrap grid.

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

Apache-2.0 (LICENSE)

Dependencies

bootstrap_grid, client_filtering, date_time_picker, flutter, infinite_scroll_pagination, intl

More

Packages that depend on responsive_data_grid